Subject: floats in FVWM source code?

From: Anthony Martin <[email-masked]>
Date: Wed, 29 Jan 1997 00:31:08 -0800 (PST)

I have received a request for CleverPlacement to allow for window
"avoidance factors" < 1 to use for windows that you really don't mind if
they are covered up.  In CleverPlacement there is an int variable
"avoidance_factor" that represents the avoidance factor.  The obvious
solution is to just make this variable a float.  But looking through all
of the FVWM source, I couldn't find any floats.  Is this by design or
coincidence?

If there is some reason to avoid floats, then I can just make the
avoidance factor a percentage, with normal windows = 100 and other windows
could be bigger or smaller than that.

Tony.

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].